import tecplot
from tecplot.constant import *

tecplot.session.connect()

dataset = tecplot.data.load_tecplot("DuctFlow.plt")
plot = tecplot.active_frame().plot()

plot.contour(0).variable = dataset.variable('U(M/S)')
plot.show_isosurfaces = True

plot.isosurface(0).isosurface_selection = IsoSurfaceSelection.ThreeSpecificValues
plot.isosurface(0).isosurface_values = (135.674706817, 264.930212259, 394.185717702)

plot.isosurface(0).shade.use_lighting_effect = True
plot.isosurface(0).effects.lighting_effect = LightingEffect.Paneled
plot.isosurface(0).effects.use_translucency = True
plot.isosurface(0).effects.surface_translucency = 50